MAN(1)

NUME
man - o interfață a manualelor de referință ale sistemului

REZUMAT
man [man options] [[section] page ...] ...
man -k [apropos options] regexp ...
man -K [man options] [section] term ...
man -f [whatis options] page ...
man -l [man options] file ...
man -w|-W [man options] page ...

DESCRIERE
man este pagerul de manual al sistemului. Fiecare argument page dat la man este în mod normal numele unui program, utilitate sau funcție. manual page asociată cu fiecare dintre aceste argumente este apoi găsită și afișată. O section, dacă este furnizată, va direcționa man să se uite doar la acea section din manual. Acțiunea implicită este de a căuta în toate sections disponibile urmând o ordine predefinită (consultați DEFAULTS), și să arate doar prima page găsită, chiar dacă page există în mai multe sections. Tabelul de mai jos arată numerele section ale manualului urmate de tipurile de pagini pe care le conțin.
1 | Programe executabile sau comenzi shell
2 | Apeluri de sistem (funcții furnizate de către kernel)
3 | Apeluri de bibliotecă (funcții înăuntrul bibliotecilor de program)
4 | Fișiere speciale (de obicei găsite în /dev)
5 | Formate de fișier și convenții, de ex. /etc/passwd
6 | Jocuri
7 | Diverse (inclusiv pachetele macro și convențiile) e.g. man(7), groff(7)
8 | Comenzi de administrare de sistem (de obicei doar pentru root)
9 | Rutine de kernel [Non standard]
O page de manual consistă în mai multe secțiuni. Numele convenționale includ NAME, SYNOPSIS, CONFIGURATION, DESCRIPTION, OPTIONS, EXIT STATUS, RETURN VALUE, ERRORS, ENVIRONMENT, FILES, VERSIONS, CONFORMING TO, NOTES, BUGS, EXAMPLE, AUTHORS, și SEE ALSO. Următoarele convenții se aplică la secțiunea SYNOPSIS și pot fi utilizate ca un ghid în alte secțiuni.
bold text | tastați exact așa cum este arătat.
italic text | înlocuiește cu argumentul potrivit.
[-abc] | orice argumente sau toate argumentele între [ ] sunt opționale.
-a|-b | opțiunile delimitate de | nu pot fi utilizate împreună.
argument ... | argument este repetabil.
[expression] ... | întreaga expression între [ ] este repetabilă.
Randarea exactă poate să varieze pe baza dispozitivului de ieșire. De exemplu, man nu va putea de obicei să randeze italicele când rulează într-un terminal, și va utiliza tipic în loc text subliniat sau colorat. Ilustrația de comandă sau de funcție este un model care ar trebui să se potrivească cu toate invocările posibile. În unele cazuri este recomandabil să se ilustreze mai multe invocări exclusive așa cum este arătat în secțiunea SYNOPSIS a acestei pagini de manual.

EXEMPLE

man ls
    Afișează pagina de manual pentru item (program) ls.

man man.7
    Afișează pagina de manual pentru pachetul macro man de la secțiunea 7. (Aceasta este o ortografie alternativă a „man 7 man”.)

man 'man(7)'
    Afișează pagina de manual pentru pachetul macro man de la secțiunea 7. (Aceasta este o ortografie alternativă a „man 7 man”. Poate fi mai convenientă când copiați și lipiți referințe încrucișate la paginile de manual. Observați că parantezele trebuie să fie în mod normal citate pentru a le proteja de shell.)

man -a intro
    Afișează, în succesiune, toate paginile de manual intro disponibile care sunt conținute în manual. Este posibil să ieșiți între afișări succesive sau să omiteți pe oricare dintre ele.

man -t bash | lpr -Pps
    Formatați pagina de manual pentru bash în formatul implicit troff sau groff și conectați-o la imprimanta cu numele ps. Ieșirea implicită pentru groff este de obicei PostScript. man --help ar trebui să sfătuiască ce procesor este legat de opțiunea -t.

man -l -Tdvi ./foo.1x.gz > ./foo.1x.dvi
    Această comandă va decomprima și formata pagina de manual sursă nroff ./foo.1x.gz într-un fișier independent de dispozitiv (dvi). Redirecționarea este necesară pentru că fanionul -T cauzează ca ieșirea să fie redirecționată la stdout fără pager. Ieșirea poate fi vizualizată cu un program precum xdvi sau procesat mai departe în PostScript utilizând un program precum dvips.

man -k printf
    Căutați descrierile scurte și numele de pagini de manual pentru cuvântul cheie printf ca expresie regulată. Tipărește orice potriviri. Echivalent cu apropos printf.

man -f smail
    Caută paginile de manual la care se face referire de smail și tipăriți descrierile scurte ale oricăror găsite. Echivalent cu whatis smail.

PREZENTARE GENERALĂ
Multe opțiuni sunt disponibile la man pentru a oferi cât mai multă flexibilitate utilizatorului. Modificările pot fi făcute la calea de căutare, ordinea de secțiune, procesorul de ieșire, și alte comportamente și operații detaliate mai jos. Dacă este stabilit, diverse variabile de mediu sunt interogate pentru a determina operația a man. Este posibil să stabiliți variabile „catch-all” $MANOPT la orice șir în formatul liniei de comandă, cu excepția că orice spațiu utiliza ca parte a unui argument al unei opțiuni trebuie să fie escapat (precedat de o linie oblică inversă). man va parsa $MANOPT înainte de a parsa linia de comandă proprie. Acele opțiuni care necesită un argument vor fi suprascrise de aceleași opțiuni găsite la linia de comandă. Pentru a restabili opțiunile stabilite în $MANOPT, -D poate fi specificat ca opțiunea în linie de comandă inițială. Aceasta va permite man să „uit” despre opțiunile specificate în $MANOPT, deși trebuie să fi fost încă valabile. Paginile de manual sunt de obicei stocate în formatul nroff(1) sub un director precum /usr/share/man. În unele instalări, pot să existe și cat pages preformatate pentru a îmbunătăți performanța. Consultați manpath(5) pentru detalii despre locul în care sunt stocate aceste fișiere. Acest pachet suportă pagini manuale în limbi multiple, controlate de locale. Dacă sistemul nu a stabilit aceasta pentru dumneavoastră automat, atunci este posibil să aveți nevoie să stabiliți $LC_MESSAGES, $LANG, sau altă variabilă de mediu dependentă de sistem pentru a indica localizarea preferată, de obicei specificată în formatul POSIX: <language>[_<territory>[.<character-set>[,<version>]]] Dacă pagina dorită este disponibilă în locale, ea va fi afișată în locul paginii standard (de obicei engleză americană). Dacă găsiți că traducerile furnizate cu acest pachet nu sunt disponibile în limba dumneavoastră nativă și ați dori să le furnizați, contactați responsabilul care va coordona o asemenea activitate. Paginile de manual individuale sunt scrise normal și întreținute de responsabilii programului, funcției, sau alt topic pe care îl documentează, și nu sunt incluse cu acest pachet. Dacă găsiți că o pagină de manual lipsește sau nu este potrivită, raportați acest lucru la responsabilii pachetului cu pricina. Pentru informații în legătură cu alte funcționalități și extensii disponibile cu acest pager de manual, citiți documentele furnizate cu acest pachet.

IMPLICITE
Ordinea secțiunilor de căutat poate fi suprascrisă de variabila de mediu $MANSECT sau de directiva $MANSECT în /etc/man_db.conf. Implicit este după cum urmează:
    1 n l 8 3 0 2 5 4 9 6 7
Pagina de manual formatată este afișată utilizând un pager. Aceasta poate fi specificată într-un număr de moduri, sau altfel va reveni la implicit (consultați opțiunea -P pentru detalii). Filtrele sunt descifrate cu o serie de mijloace. Prima dată, opțiunea în linie de comandă -p sau variabila de mediu $MANROFFSEQ este interogată. Dacă -p nu a fost utilizată și variabila de mediu nu a fost stabilită, linia inițială a fișierului nroff este parsată pentru un șir de preprocesor. Pentru a conține un șir de preprocesor valid, prima linie trebuie să se asemene '\" <string> unde string poate fi orice combinație de litere descrise de opțiunea -p mai jos. Dacă niciuna dintre metodele de mai sus furnizează orice informații despre filtru, un set implicit este utilizat. O linie de conexiune de formatare este formată din filtrele și din formatorul primar (nroff or [tg]roff with -t) și executată. Alternativ, dacă un program executabil mandb_nfmt (sau mandb_tfmt cu -t) există în rădăcina de arbore man, acesta este executat în loc. El este trecut de fișierul sursă manual, de șirul de preprocesor, și opțional de dispozitivul specificat cu -T sau -E ca argumente.

OPȚIUNI
Opțiunile fără argumente care sunt duplicate ori în linia de comandă, în $MANOPT, sau amândouă, nu sunt dăunătoare. Pentru opțiunile care necesită un argument, fiecare duplicare va suprascrie valoarea de argument precedentă.

  Opțiuni generale

-C file, --config-file=file
    Utilizați acest fișier de configurare de utilizator decât implicitul ~/.manpath.

-d, --debug
    Tipărește informațiile de depanare.

-D, --default
    Această opțiune este de obicei emisă ca fiind prima opțiune și restabilește comportamentul al man's la cel implicit. Utilizarea acesteia este să restabiliți acele opțiuni care poate că au fost stabilite în $MANOPT. Orice opțiuni care urmează -D vor avea efectul lor obișnuit.

--warnings[=avertismente]
    Activează avertismentele de la groff. Acest lucru poate fi utilizat pentru a performa verificări de sănătate pe textul sursă al paginilor de manual. warnings este o listă separată prin virgule de nume de avertisment; dacă nu este furnizată, implicitul este „mac”. Consultați nodul “Warnings” în info groff pentru o listă de nume de avertismente disponibile.

  Moduri principale de operare

-f, --whatis
    Echivalent cu whatis. Afișează o descriere scurtă de la pagina de manual, dacă este disponibilă. Consultați whatis(1) pentru detalii.

-k, --apropos
    Echivalent cu apropos. Caută descrierile scurte de pagini de manual pentru cuvinte cheie și afișează orice potriviri. Consultați apropos(1) pentru detalii.

-K, --global-apropos
    Caută pentru text în toate paginile manualului. Aceasta este o căutare de forță brută, și este posibil să dureze ceva timp; dacă puteți, ar trebui să specificați o secțiune pentru a reduce numărul de pagini care trebuie căutate. Termenii de căutare pot fi șiruri simple (implicitul), sau expresii regulate dacă opțiunea --regex este utilizată.

    Observați că aceasta caută --regex a paginilor de manual, nu textul randat, și astfel pot include false pozitive din cauza lucrurilor precum comentariile în fișiere sursă. Căutarea textului randat ar fi mult mai înceată.

-l, --local-file
    Activează modul „local”. Formatează și afișează fișierele de manual locale în locul căutării prin colecția de manual a sistemului. Fiecare argument de pagină de manual va fi interpretat ca un fișier sursă nroff în formatul corect. Nu este produs niciun fișier cat. Dacă „-” este listat ca unul din argumente, intrarea va fi luată din stdin. Când această opțiune nu este utilizată, și man eșuează să găsească pagina necesară înainte de a afișa mesajul de eroare, acesta încearcă să se comporte ca și cum această opțiune a fost furnizată, utilizând numele ca un nume de fișier și căutând după o potrivire exactă.

-w, --where, --path, --location
    Nu afișa de fapt pagina manuală, dar tipărește locația fișierului sursă nroff care ar fi formatat. Dacă opțiunea -a este, de asemenea, utilizată, atunci tipărește locațiile tuturor fișierelor sursă care se potrivesc cu criteriile de căutare.

-W, --where-cat, --location-cat
    Nu afișa de fapt pagina de manual, dar tipărește locația fișierului cat preformatat care ar fi afișat. Dacă opțiunea -a este de asemenea utilizată, atunci tipărește locațiile tuturor fișierelor cat preformatate care se potrivesc cu criteriile de căutare.

    Dacă -w și -W sunt amândouă utilizate, atunci tipărește atât fișierul sursă cât și fișierul cat separate printr-un spațiu. Dacă toate -w, -W, și -a sunt utilizate, atunci faceți acest lucru pentru fiecare potrivire posibilă.

-c, --catman
    Această opțiune nu este pentru uz general și ar trebui să fie utilizată doar de programul catman.

-R encoding, --recode=encoding
    În locul formatării paginii de manual în modul uzual, produce sursa convertită la encoding specificată. Dacă știți deja codarea fișierului sursă, puteți să utilizați de asemenea manconv(1) direct. Totuși, această opțiune vă permite să convertiți mai multe pagini de manual la o singură codare fără a fi nevoie să se menționeze starea codării fiecăruia, cu condiția să fi fost deja instalate într-o structură similară cu o ierarhie de pagină de manual.

    Considerați utilizarea a man-recode(1) în locul convertirii de pagini de manual multiple, de vreme ce are o interfață proiectată pentru conversia în vrac și deci poate fi mult mai rapidă.

  Se caută pagini de manual

-L locale, --locale=locale
    man va determina în mod normal localizarea curentă printr-un apel la funcția C setlocale(3) care interoghează variabile de mediu variate, posibil incluzând $LC_MESSAGES și $LANG. Pentru a suprascrie temporar valoarea determinată, utilizați această opțiune pentru a furniza un șir locale direct la man. Observați că acest lucru nu va lua efect până când căutarea pentru pagini începe efectiv. Ieșirea precum mesajul de ajutor va fi totdeauna afișată în localizarea determinată inițial.

-m system[,...], --systems=system[,...]
    Dacă acest sistem are acces la paginile de manual ale altor sisteme de operare, acestea pot fi accesate utilizând această opțiune. Pentru a căuta pentru pagini de manual de la colecția de pagini de manual a NewOS, utilizați opțiunea -m NewOS. system specificată poate fi o combinație de nume de sisteme de operare delimitate prin virgule. Pentru a include o căutare a paginilor de manual ale sistemului de operare nativ, include numele de sistem man în șirul argumentului. Această opțiune va suprascrie variabila de mediu $SYSTEM.

-M path, --manpath=path
    Specifică o cale de manual alternativă de utilizat. Implicit, man utilizează cod derivat manpath pentru a determina calea de căutat. Această opțiune suprascrie variabila de mediu $MANPATH și face ca opțiunea -m să fie ignorată. O cale specificată ca o cale de manual trebuie să fie rădăcina unei ierarhii de pagină de manual structurată în secțiuni așa cum este descris în manualul man-db (sub „Sistemul de pagină de manual”). Pentru a vizualiza pagini de manual în afara acestor ierarhii, consultați opțiunea -l.

-S list, -s list, --sections=list
    list dată este o listă de secțiuni separată prin virgulă sau două puncte, utilizată pentru a determina care secțiuni de manual să se caute și în ce ordine. Această opțiune suprascrie variabila de mediu $MANSECT. (Ortografia -s este pentru compatibilitate cu System V.)

-e sub-extension, --extension=sub-extension
    Unele sisteme încorporează pachete mari de pagini de manual, precum acelea care însoțesc pachetul Tcl, în ierarhia de pagini de manual principală. Pentru a evita problema existenței a două pagini de manual cu același nume precum exit(3), paginile Tcl au fost de obicei toate atribuite secțiunii l. Cum acest lucru este neferici, este acum posibil să puneți paginile în secțiunea corectă, și să le atribuiți o „extensie” specifică, în acest caz, exit(3tcl). Sub operația normală, man va afișa exit(3) în preferință față de exit(3tcl). Pentru a negocia această situație și pentru a nu fi necesar să știți în ce secțiune se află pagina pe care o doriți, este acum posibil să dați man un șir sub-extension care indică la ce pachet trebuie să aparțină pagina. Utilizând exemplul de mai sus, furnizarea opțiunii -e tcl la man va restricționa căutarea la pagini care au o extensie de *tcl.

-i, --ignore-case
    Ignoră majusculele când se caută după pagini de manual. Acesta este implicitul.

-I, --match-case
    Caută pentru pagini de manual sensibil la majuscule.

--regex
    Afișează toate paginile cu orice parte ale numelor sau descrierilor acestora care se potrivesc fiecărui argument de page ca o expresie regulată, ca și cu apropos(1). De vreme ce nu există de obicei o metodă rezonabilă pentru a alege pagina „cea mai bună” când se caută pentru o expresie regulată, această opțiune implică -a.

--wildcard
    Arată toate paginile cu orice parte a numelui lor sau a descrierilor lor care se potrivesc la fiecare argument page utilizând metacaracterele în stil shell, ca și cu apropos(1) --wildcard. Argumentul page trebuie să se potrivească întregului nume sau întregii descrieri, sau să se potrivească la limitelor cuvintelor din descriere.. De vreme ce există de obicei o cale rezonabilă pentru a alege o „cea mai bună” pagină când se caută pentru un metacaracter, aceste opțiuni implică -a.

--names-only
    Dacă opțiunile --regex sau --wildcard sunt utilizate, potrivește doar numele paginilor, nu și descrierile paginilor, ca și cu whatis(1). În caz contrar, niciun efect.

-a, --all
    Implicit, man va ieși după afișarea cea mai potrivitei pagini de manual pe care o găsește. Utilizând această opțiune forțează man să afișeze toate paginile de manual cu nume care se potrivesc cu criteriile de căutare.

-u, --update
    Această opțiune cauzează man să își actualizeze cache-urile bazei de date a paginilor de manual instalate. Aceasta este necesar doar în situații rare, și este normal mai bine să se ruleze în schimb mandb(8).

--no-subpages
    Implicit, man va încerca să interpreteze perechile de nume de pagini de manual date în linia de comandă ca echivalent la un singur nume de pagină de manual care conține o cratimă sau o liniuță de subliniere. Aceasta suportă modelul comun de programe care implementează un număr de subcomenzi, permițându-le să furnizeze pagini de manual pentru fiecare care poate fi accesată utilizând o sintaxă similară cum ar fi utilizat pentru a invoca subcomenzile însele. De exemplu:
      $ man -aw git diff
      /usr/share/man/man1/git-diff.1.gz
    Pentru a dezactiva acest comportament, utilizați opțiunea --no-subpages.
      $ man -aw --no-subpages git diff
      /usr/share/man/man1/git.1.gz
      /usr/share/man/man3/Git.3pm.gz
      /usr/share/man/man1/diff.1.gz

  Controlarea de ieșire formatată

-P pager, --pager=pager
    Specifică care pager de ieșire să se utilizeze. Implicit, man utilizează less, revenind la cat dacă less nu este găsită sau nu este executabilă. Această opțiune suprascrie variabilele de mediu $MANPAGER, care la rândul său suprascrie variabilele de mediu $PAGER. Nu este utilizată în conjuncție cu -f sau -k. Valoarea poate fi un nume de comandă simplă sau o comandă cu argumente, și poate utiliza citare de shell (linii oblice inverse, citate simple, sau citate duble). Poate să nu utilizeze conexiuni la comenzi multiple de conectare; dacă aveți nevoie de asta, utilizați un script de wrapper, care poate lua fișierul pentru afișat ori ca un argument ori la intrarea standard.

-r prompt, --prompt=prompt
    Dacă o versiune recentă a less este utilizată ca pager, man va încerca să își stabilească prompterul și unele opțiuni sensibile. Prompterul implicit arată ca Manual page name(sec) line x unde name denotă numele de pagină de manual, sec denotă secțiunea sub care a fost găsit și x numărul de linie curent. Acest lucru este atins prin utilizarea variabilei de mediu $LESS. Furnizarea lui -r cu un șir va suprascrie acest implicit. Șirul poate să conțină textul $MAN_PN care va fi expandat la numele paginii de manual curente și numele de secțiune înconjurat de „(” și „)”. Șirul utilizat pentru a produce implicitul poate fi exprimat ca \ Manual\ pagină\ \$MAN_PN\ ?ltline\ %lt?L/%L.:
    byte\ %bB?s/%s..?\ (END):?pB\ %pB\\%..
    (apăsați h pentru ajutor sau q pentru ieșire) Este împărțit în trei linii aici doar de dragul lizibilității. Pentru înțelesul acestuia consultați pagina de manual less(1). Șirul de prompter este prima dată evaluat de shell. Toate citările duble, citările de înapoiere și liniuțele oblice inverse din prompter trebuie să fie escapate de o liniuță oblică inversă. Șirul prompterului poate să se termine într-un $ escapat care poate fi urmat de mai multe opțiuni pentru less. Implicit, man stabilește opțiunile -ix8. Variabila de mediu $MANLESS descrisă mai jos poate fi utilizată pentru a stabili un șir de prompter implicit dacă niciunul nu este furnizat în linia de comandă.

-7, --ascii
    Când se vizualizează o pagină de manual pură ascii(7) pe un terminal pe 7 biți sau un emulator de terminal, unele caractere pot să nu fie afișate corect când se utilizează descrierea de dispozitiv latin1(7) cu GNU nroff. Această opțiune permite paginilor de manual pure ascii să fie afișate în ascii cu dispozitivul latin1. Nu va traduce orice text latin1. Următorul tabel arată traducerile performate: unele părți din acesta pot fi afișate corect doar la utilizarea dispozitivului GNU nroff's latin1(7).
    Descriere | Octal | latin1 | ascii
    cratimă de continuare | 255 |  | -
    glonț (punct de mijloc) | 267 | • | o
    accent acut | 264 | ´ | '
    semn de înmulțire | 327 | × | x
    Dacă coloana latin1 se afișează corect, terminalul poate să fie stabilit pentru caractere latin1 și această opțiune nu este necesară. Dacă coloanele latin1 și ascii sunt identice, citiți această pagină utilizând această opțiune sau man nu a formatat această pagină utilizând descrierea de dispozitiv latin1. Dacă coloana latin1 lipsește sau este coruptă, poate că aveți nevoie să vizualizați paginile de manual cu această opțiune. Această opțiune este ignorată când se utilizează opțiunile -t, -H, -T, sau -Z și poate fi utilizată pentru nroff altele decât ale lui GNU.

-E encoding, --encoding=encoding
    Generează ieșire pentru codarea de caracter alta decât implicitul. Pentru compatibilitate inversă, encoding poate să fie un dispozitiv nroff precum ascii, latin1, sau utf8, precum și o codare de caracter adevărată precum UTF-8.

--no-hyphenation, --nh
    În mod normal, nroff va cifona automat textul la pauzele de linie chiar în cuvinte care nu conțin cratime, dacă este necesar să facă asta pentru a aranja cuvinte pe o linie fără spațiere excesivă. Această opțiune dezactivează cifonarea automată, deci cuvintele vor fi cifonate dacă deja conțin cratime. Dacă scrieți o pagină de manual și doriți doar să preveniți nroff să cifoneze un cuvânt la un punct nepotrivit, nu utilizați această opțiune, dar consultați în schimb documentația nroff; de exemplu, puteți să puneți „\%” înăuntrul unui cuvânt pentru a indica că poate fi cifonat la acel punct, sau să puneți „\%” la începutul unui cuvânt pentru a preveni cifonarea acestuia.

--no-justification, --nj
    În mod normal, nroff va justifica automat textul la ambele margini. Această opțiune dezactivează justificarea completă, lăsând justificată doar marginea stângă, câteodată numit text „zdrențuit la dreapta”. Dacă scrieți o pagină de manual și doriți doar să preveniți nroff din a justifica anumite paragrafe, nu utilizați această opțiune, dar consultați în schimb documentația nroff; de exemplu, puteți utiliza cererile „.na”, „.nf”, „.fi” și „.ad” pentru a dezactiva temporar ajustarea și completarea.

-p string, --preprocessor=string
    Specificați secvența de preprocesoare de rulat înainte de nroff sau troff/groff. Nu toate instalările vor avea un set complet de preprocesoare. Unele dintre preprocesoarele și literele utilizate pentru a le desemna sunt: eqn (e), grap (g), pic (p), tbl (t), vgrind (v), refer (r). Această opțiune suprascrie variabila de mediu $MANROFFSEQ. zsoelim este întotdeauna rulat ca primul preprocesor.

-t, --troff
    Utilizează groff -mandoc pentru a formata pagina de manual la stdout. Această opțiune nu este necesară în conjuncție cu -H, -T, sau -Z.

-T[dispozitiv], --troff-device[=dispozitiv]
    Această opțiune este utilizată pentru a modifica ieșirea lui groff (sau posibil a lui troff) să fie mai potrivită pentru un dispozitiv altul decât cel implicit. Acest lucru implică -t. Exemple (furnizate cu Groff-1.17) includ dvi, latin1, ps, utf8, X75 și X100.

-H[navigator], --html[=nagivator]
    Această opțiune va cauza groff să producă o ieșire HTML, și va afișa acea ieșire la un navigator web. Alegerea de navigator este determinată de argumentul opțional browser dacă unul este furnizat, de variabila de mediu $BROWSER, sau de un implicit la timpul de compilare dacă acela nu este stabilit (de obicei lynx). Această opțiune implică -t, și va funcționa doar cu GNU troff.

-X[dpi], --gxditview[=dpi]
    Această opțiune afișează ieșirea lui groff într-o fereastră grafică utilizând programul gxditview. dpi (puncte per inci) poate fi 75, 75-12, 100, sau 100-12, implicitul fiind 75; variantele -12 utilizează un font de bază de 12-puncte. Această opțiune implică -T cu dispozitivul X75, X75-12, X100, sau X100-12 respectiv.

-Z, --ditroff
    groff va rula troff și mai apoi va utiliza un post-procesor potrivit pentru a produce ieșire potrivită pentru dispozitivul ales. Dacă groff -mandoc este groff, această opțiune este trecută la groff și va suprima utilizarea unui post-procesor. Acest lucru implică -t.

  Se obține ajutorul

-?, --help
    Tipărește un mesaj de ajutor și ieși.

--usage
    Tipărește un mesaj de utilizare scurt și ieși.

-V, --version
    Afișează informațiile de versiune.

STARE DE IEȘIRE

0   Executare a programului cu succes.

1   Eroare de utilizare, sintaxă sau fișier de configurare.

2   Eroare operațională.

3   Un proces copil a întors o stare de ieșire diferită de zero.

16  Cel puțin una dintre pagini/fișiere/cuvinte cheie nu a existat sau nu s-a potrivit.

MEDIU

MANPATH
    Dacă $MANPATH este stabilită, valoarea acesteia este utilizată ca și calea de căutat pentru paginile de manual.

MANROFFOPT
    De fiecare dată când man invocă formatorul (nroff, troff, sau groff), adaugă conținutul lui $MANROFFOPT la linia de comandă a formatorului.

MANROFFSEQ
    Dacă $MANROFFSEQ este stabilită, valoarea acesteia este utilizată pentru a determina setul de preprocesoare prin care se trece fiecare pagină de manual. Lista de preprocesoare implicită este dependentă de sistem.

MANSECT
    Dacă $MANSECT este stabilită, valoarea acesteia este o listă de secțiuni delimitată de două puncte și este utilizată pentru a determina care secțiuni din manual să se caute și în ce ordine. Implicitul este „1 n l 8 3 0 2 5 4 9 6 7”, decât dacă este suprascrisă de directiva SECTION în /etc/man_db.conf.

MANPAGER, PAGER
    Dacă $MANPAGER sau $PAGER este stabilită ($MANPAGER este utilizată în preferințe), valoarea acesteia este utilizată ca numele programului utilizat pentru a afișa pagina de manual. Implicit, less este utilizat, revenind la cat dacă less nu este găsit sau nu este executabil. Valoarea poate fi un nume de comandă simplă sau o comandă cu argumente, și poate utiliza citare de shell (linii oblice inverse, citate simple, sau citate duble). Poate să nu utilizeze conexiuni la comenzi multiple de conectare; dacă aveți nevoie de asta, utilizați un script de wrapper, care poate lua fișierul pentru afișat ori ca un argument ori la intrarea standard.

MANLESS
    Dacă $MANLESS este stabilită, valoarea acesteia va fi utilizată ca șirul de prompter implicit pentru pagerul less, ca și cum a fost trecut prin opțiunea -r (deci orice întâmplări ale textului $MAN_PN vor fi expandate în același fel). De exemplu, dacă doriți să stabiliți șirul de prompter necondițional la “my prompt string”, stabiliți $MANLESS la ‘-Psmy prompt string’. Utilizând opțiunea -r suprascrie variabila de mediu.

BROWSER
    Dacă $BROWSER este stabilită, valoarea acesteia este o listă de comenzi delimitată de două puncte, fiecare din acestea fiind la rândul ei utilizată pentru a încerca să se pornească un navigator web pentru man --html. În fiecare comandă, %s este înlocuit cu un nume de fișier care conține ieșirea HTML de la groff, %% este înlocuit de un singur semn de procent (%) și %c este înlocuit de două puncte (:).

SYSTEM
    Dacă $SYSTEM este stabilit, aceasta va avea același efect ca și cum ar fi fost specificată ca argument la opțiunea -m.

MANOPT
    Dacă $MANOPT este stabilită, va fi parsată înainte de linia de comandă a lui man și se așteaptă să fie într-un format similar. De vreme ce și celelalte variabile de mediu specifice man pot fi exprimate ca opțiuni în linie de comandă, și sunt prin urmare candidați pentru a fi incluse în $MANOPT se așteaptă ca ele să devină învechite. N.B. Toate spațiile care ar trebui să fie interpretate ca parte a argumentului unei opțiuni trebuie să fie escapate.

MANWIDTH
    Dacă $MANWIDTH este stabilită, valoarea acesteia este utilizată ca lungimea de linie pentru care paginile de manual ar trebui să fie formatate. Dacă nu este stabilită, paginile de manual vor fi formatate cu o lungime de linie potrivită cu terminalul curent (utilizând valoarea lui $COLUMNS, și ioctl(2) dacă sunt disponibile, sau revenind la 80 de caractere dacă niciuna din ele nu este disponibilă). Paginile cat vor fi salvate doar când formatarea implicită poate fi utilizată, adică atunci când lungime liniei de terminal este între 66 și 80 de caractere.

MAN_KEEP_FORMATTING
    În mod normal, când ieșirea nu este direcționată către un terminal (precum un fișier sau o conexiune), caracterele de formatare sunt eliminate pentru a face mai ușor citirea rezultatului fără unelte speciale. În orice caz, dacă $MAN_KEEP_FORMATTING este stabilită la o valoare care nu este goală, aceste caractere de formatare sunt reținute. Acest lucru poate fi util pentru wrappere în jurul lui man care pot interpreta caracterele de formatare.

MAN_KEEP_STDERR
    În mod normal, când ieșirea este direcționată la un terminal (de obicei la un pager), orice ieșire de eroare de la comanda utilizată pentru a produce versiunile formatate ale paginilor de manual este eliminată pentru a evita interferența cu afișajul pagerului. Programe precum groff produc adesea mesaje de eroare relativ minore despre problemele tipografice precum aliniere slabă, care sunt dizgrațioase și în general produc confuzie când sunt afișate împreună cu pagina de manual. În orice caz, unii utilizatori vor să le vadă oricum, deci, dacă $MAN_KEEP_STDERR este stabilită la o valoare care nu este goală, ieșirea de eroare va fi afișată ca de obicei.

LANG, LC_MESSAGES
    În funcție de sistem și de implementare, amândouă sau una din $LANG și $LC_MESSAGES vor fi interogate pentru localizarea de mesaje curentă. man va afișa mesajele acesteia în acea localizare (dacă este disponibilă). Consultați setlocale(3) pentru detalii precise.

FIȘIERE

/etc/man_db.conf
    fișier de configurare man-db.

/usr/share/man
    O ierarhie de pagini de manual globală.

VEDEȚI ȘI
apropos(1), groff(1), less(1), manpath(1), nroff(1), troff(1), whatis(1), zsoelim(1), manpath(5), man(7), catman(8), mandb(8)

Documentația pentru unele pachete poate fi disponibilă în alte formate, precum info(1) sau HTML.

ISTORIC
1990, 1991 – Scris original de John W. Eaton (jwe@che.utexas.edu). Dec 23 1992: Rik Faith (faith@cs.unc.edu) a aplicat corectarea defecțiunilor furnizată de Willem Kasdorp (wkasdo@nikhefk.nikef.nl). 30th April 1994 – 23rd February 2000: Wilf. (G.Wilford@ee.surrey.ac.uk) a dezvoltat și întreținut acest pachet cu ajutorul câtorva oameni dedicați. 30th October 1996 – 30th March 2001: Fabrizio Polacco <fpolacco@debian.org> a menținut și îmbunătățit acest pachet pentru proiectul Debian, cu ajutorul întregii comunități. 31st March 2001 – present day: Colin Watson <cjwatson@debian.org> dezvoltă și întreține acum man-db.

DEFECȚIUNI
https://savannah.nongnu.org/bugs/?group=man-db